<?php
// FUNCTION FOR ADDING META BOX TO THE ADMIN PANEL - NEW POST SECTION
add_action('admin_menu', 'create_meta_box');  
add_action('save_post', 'save_postdata');  
$new_meta_boxes =  array(  
"thumbnail" => array(  
"name" => "thumbnail_image",  
"std" => "",  
"title" => "<p>Миникартинка для записи</p>",  
"upload" => "true",
"description" => "Вы можете загрузить картинку в формате JPG, PNG или GIF.")
);
function new_meta_boxes() 
{  
	global $post, $new_meta_boxes;  
	$post_id = $post->ID;
	?>
	<script src="<?php bloginfo('template_directory'); ?>/js/jquery-1.3.2.min.js" type="text/javascript"></script> 
	<script src="<?php bloginfo('template_directory'); ?>/js/swfobject.js" type="text/javascript"></script> 
	<script src="<?php bloginfo('template_directory'); ?>/js/jquery.uploadify.v2.1.0.min.js" type="text/javascript"></script> 
	<?php
	foreach($new_meta_boxes as $meta_box) 
	{  
		echo '<div style="background: #f9f9f9; border: 1px solid #ccc; padding: 10px; margin-bottom: 5px;">';
		$meta_box_value = htmlspecialchars(get_post_meta($post->ID, $meta_box['name'].'_value', true));  
		if($meta_box_value == "")  
		$meta_box_value = $meta_box['std'];  
		echo'<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';    
		echo'<p><b>'.$meta_box['title'].'</b></p>';  
		echo'<input type="text" id="'.$meta_box['name'].'_value" name="'.$meta_box['name'].'_value" value="'.$meta_box_value.'" style="width: 100%;" />';  
		if($meta_box["upload"] == true)
		{
			echo '<div id="'.$meta_box["name"].'fileQueue"></div>';
			echo '<input type="file" name="'.$meta_box["name"].'_upload" id="'.$meta_box["name"].'_upload" />';
		}
		echo'<p><label for="'.$meta_box['name'].'_value">'.$meta_box['description'].'</label></p>';  
		echo '</div>';
		if($meta_box_value != "") { $img = get_post_meta($post->ID, $meta_box['name'].'_value', true); }
	}  
	?>
	<script type="text/javascript">
	$(document).ready(function() {
		$("#thumbnail_image_upload").uploadify({
			'uploader'       : '<?php bloginfo('template_directory'); ?>/uploadify.swf',
			'script'         : '<?php bloginfo('template_directory'); ?>/uploadify.php',
			'cancelImg'      : '<?php bloginfo('template_directory'); ?>/images/cancel.png',
			'folder'         : '<?php echo str_replace($_SERVER['DOCUMENT_ROOT'], "", get_option( 'upload_path')); ?>',
			'buttonText'		 : 'Upload',
			'fileExt'		 : '*.jpg;*.png;*.JPG;*.PNG;*.gif;*.GIF',
			'queueID'        : 'thumbnail_imagefileQueue',
			'onComplete'	 : 
				function completed(event, qid, obj, response, data) 
				{ 
					if(response==1)
					{
						$("#thumbnail_image_value").val(obj["filePath"]); 
					}
					else
					{
						alert("Server Response: " + response + "\nThere was a problem uploading the file, please try again later");
					}
					return;
				},
			'auto'           : true,
			'multi'          : false
		});
	});
	</script>
	<?php
}  
function create_meta_box() 
{  
	global $theme_name;  
	if ( function_exists('add_meta_box') ) 
	{  
		add_meta_box( 'new-meta-boxes', 'Настройки вывода записей', 'new_meta_boxes', 'post', 'normal', 'high' );  
	}  
}
function save_postdata( $post_id ) 
{  
	global $post, $new_meta_boxes;  
	foreach($new_meta_boxes as $meta_box) 
	{  
		// Verify  
		if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) 
		{  
			return $post_id;  
		}  
		  
		if ( 'page' == $_POST['post_type'] ) 
		{  
			if ( !current_user_can( 'edit_page', $post_id ))  
				return $post_id;  
		} 
		else 
		{  
			if ( !current_user_can( 'edit_post', $post_id ))  
			return $post_id;  
		}  
		$data = $_POST[$meta_box['name'].'_value'];
		if(!preg_match("/^http:/", strtolower($data)) and $data!=''){$data = get_option('siteurl').$data;}
		if(get_post_meta($post_id, $meta_box['name'].'_value') == "")
			add_post_meta($post_id, $meta_box['name'].'_value', $data, true);  
		elseif($data != get_post_meta($post_id, $meta_box['name'].'_value', true))  
			update_post_meta($post_id, $meta_box['name'].'_value', $data);  
		elseif($data == "")  
			delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));
	}  
} 
?>
<?php
function is_type_page() 
{ 
	// Check if the current post is a page
	global $post;
	if ($post->post_type == 'page') {
		return true;
	} else {
		return false;
	}
}
function test() {echo get_post_meta($post->ID, "thumbnail_image_value", $single = true);}
function get_post_image( $iImageNumber = 0, $iSize = "thumbnail", $bPrint = false )
{
	global $post;
	global $wpdb;
	$home = get_bloginfo("url");
	$attachment_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_parent = '$post->ID' AND post_status = 'inherit' AND ( post_mime_type = 'image/gif' OR post_mime_type = 'image/jpeg' OR post_mime_type = 'image/png' ) AND post_type='attachment' ORDER BY post_date ASC LIMIT 1");
	
	$szPostContent = wp_get_attachment_image($attachment_id, $iSize, false);
	$szSearchPattern = '/\<img.+?src="(.+?)".+?\/>/';
	preg_match( $szSearchPattern, $szPostContent, $images );
	$pics = $images[1];
	if($pics == "")
	{
		$szPostContent = $post->post_content;
		$szSearchPattern = '/\<img.+?src="(.+?)".+?\/>/';
		preg_match( $szSearchPattern, $szPostContent, $images );
		$pics = $images[1];
	}
	if($pics == "") { 
		$loc = get_bloginfo('template_directory');
		$loc = get_template();
		$pics = $loc . "/images/defaultVideo.png"; 
	}
	
	$pics = str_replace($home, "", $pics);
	
	if ( $bPrint == true && !empty($pics) ) echo "<img src='$pics'>"; else return $pics;
}

function timimage($pid,$w,$h,$c){
	if ($c!=0) $c='1';
	$defimg = urlencode(get_option('wprocket_minipic_url'));
	$img = get_post_meta($pid, "thumbnail_image_value", $single = true);
	if ($img){ ?>
		<img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo $img; ?>&w=<?php echo $w; ?>&h=<?php echo $h; ?>&zc=<?php echo $c; ?>" alt="" />
	<?php }elseif($defimg and $defimg!=''){ ?>
		<img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo $defimg; ?>&w=<?php echo $w; ?>&h=<?php echo $h; ?>&zc=<?php echo $c; ?>" alt="" />
	<?php }else{ ?>
		<img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php bloginfo('template_directory'); ?>/images/default.jpg&w=<?php echo $w; ?>&h=<?php echo $h; ?>&zc=<?php echo $c; ?>" alt="" />
	<?php }
} ?>