<?php
if ( function_exists('register_sidebar') ) {
   register_sidebar(array(
       'before_widget' => '<div id="%1$s" class="box list1 widget %2$s">
				<div class="wtitle">',
       'after_widget' => '
				</div>
				<!--/content -->
			</div>
			<!--/box -->',
       'before_title' => '<h2>',
       'after_title' => '</h2></div><!--/wtitle -->
				<div class="hl"></div>
				<div class="content">',
   ));
}

add_action('admin_menu', 'convergence_theme_page');

function convergence_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['convergence_settings']) )
	{
		$options = array ( 'minipic_url', 'flickr_group_id' );
		
		foreach ( $options as $opt )
		{
			delete_option ( 'wprocket_'.$opt, $_POST[$opt] );
			add_option ( 'wprocket_'.$opt, $_POST[$opt] );	
		}		
		wp_redirect("themes.php?page=functions.php&saved=true");
		die;	
	}
	add_theme_page('Настройка WPRocket', 'Настройка WPRocket', 'edit_themes', basename(__FILE__), 'wprocket_settings');	
}

function wprocket_settings ()
{
	
if ( isset( $_REQUEST['saved'] ) ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.').'</strong></p></div>';
?>
<div class="wrap">
	<h2>Установки темы</h2>
	
<form method="post" action="">
	<table class="form-table">
		<tr valign="top">
			<th scope="row"><label for="minipic_url">URL миникартики по умолчанию</label></th>
			<td><input name="minipic_url" type="text" id="minipic_url" value="<?php echo htmlspecialchars(stripslashes(get_option('wprocket_minipic_url'))); ?>" class="regular-text" /></td>
		</tr>
		<?php if(function_exists('get_flickrRSS')) { ?>
		<tr valign="top">
			<th scope="row"><label for="flickr_group_id">Flickr Group ID</label></th>
			<td>
				<input name="flickr_group_id" type="text" id="flickr_group_id" value="<?php echo htmlspecialchars(stripslashes(get_option('wprocket_flickr_group_id'))); ?>" class="regular-text" />
			</td>
		</tr>
		<?php } ?>
	</table>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Сохранить" />
		<input type="hidden" name="convergence_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<?
}

function themepoppost(){
	global $wpdb;
	$zv_getpopular = mysql_query("SELECT ID, post_title, comment_count FROM $wpdb->posts WHERE post_status = 'publish' AND post_type='post' ORDER BY comment_count DESC LIMIT 5");
	while ($zv_popular = mysql_fetch_array($zv_getpopular)) {
		$popular_permalink = get_permalink($zv_popular['ID']);
		?>
		<div class="th fl"><a href="<?php echo $popular_permalink; ?>"><?php timimage($zv_popular['ID'],40,40,1); ?></a></div>
		<div><a href="<?php echo $popular_permalink; ?>"><?php echo htmlspecialchars($zv_popular['post_title']); ?></a></div>
		<div class="hl2"></div>
		<?php
	}
}

function themerandpost(){
	global $post;
	$cats = wp_get_post_categories($post->ID);
	if ($cats) {
		$first_cat = $cats[0];
		$args=array('cat' => $first_cat,'post__not_in' => array($post->ID),'showposts'=>5,'caller_get_posts'=>1);
		$my_query = new WP_Query($args);
			if( $my_query->have_posts() ) {
				while ($my_query->have_posts()) : $my_query->the_post(); ?>
					<div class="th fl"><a href="<?php the_permalink() ?>"><?php timimage($post->ID,40,40,1); ?></a></div>
					<div><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></div>
					<div class="hl2"></div>
				<?php endwhile;
			}
		}
	wp_reset_query();
}
include_once("adminfunc.php");
?>