<?php get_header(); ?>

    <?php $urlHome = get_bloginfo('template_directory'); ?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
          
			<div class="box post" id="post-<?php the_ID(); ?>">
				<div class="content">
            <div class="pic fl"><?php timimage($post->ID,150,150,1); ?></div>

					<div class="post-title">
						<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					</div>
					<!--/post-title -->
					<div class="post-date"><em><?php the_time('m.d.y') ?>, в <?php the_category(', ') ?>, оставил <?php the_author_posts_link(); ?></em></div>
					<div class="post-excerpt"><?php the_excerpt(); ?></div>
					<!--/post-excerpt -->
					<div class="hl"></div><br /><br />

          <?php the_content('<p class="serif">Читайте далее &rarr;</p>'); ?>
				</div>
				<!--/content -->
                
				<div class="hl"></div>
				<div class="content">
					<div class="pic fl"><?php echo get_avatar(get_the_author_email(), $size = '80', $default = $urlHome . '/images/default_avatar_author.gif' ); ?></div>
					<div class="post-author">
						<div class="author-descr">
							<h3><?php the_author(); ?></h3>

							<p><?php the_author_description(); ?></p>
							<div class="author-details"><a href="<?php the_author_url(); ?>" target="_blank">Посетить сайт автора</a> &nbsp;|&nbsp; <a href="<?php echo get_author_posts_url($authordata->ID, $authordata->user_nicename);?>">Все статьи этого автора</a></div>
						</div>
						<!--/author-descr -->
						<br class="fix" />
					</div>

					<!--/post-author -->
				</div>
				<!--/content -->
                
				<div class="hl"></div>
				<div class="social-links">
					<div class="fl">Добавить в закладки:</div>
					<div class="fr">
						<?php /* <a href="http://del.icio.us/post?url=<?php the_permalink() ?>&title=<?php the_title(); ?>" title="Bookmark at Delicious" rel="nofollow" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/ico-soc1.gif" alt="Icon" /></a> <a href="http://www.mixx.com/submit?page_url=<?php the_permalink() ?>" title="Bookmark at Mixx" rel="nofollow" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/ico-soc2.gif" alt="Icon" /></a> <a href="http://www.stumbleupon.com/submit?url=<?php the_permalink() ?>&title=<?php the_title(); ?>" title="Bookmark at StumbleUpon" rel="nofollow" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/ico-soc3.gif" alt="" /></a> <a href="http://digg.com/submit?phase=2&url=<?php the_permalink() ?>&title=<?php the_title(); ?>" title="Bookmark at Digg" rel="nofollow" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/ico-soc4.gif" alt="Icon" /></a> */?>
						<noindex><a rel="nofollow" href="http://memori.ru/link/?sm=1&u_data[url]=<?php the_permalink() ?>&u_data[name]=<?php the_title(); ?>" target="_blank" title="Добавить в Мемори"><img src="<?php bloginfo('template_directory'); ?>/images/memori.gif" /></a><a rel="nofollow" href="http://bobrdobr.ru/addext.html?url=<?php the_permalink() ?>&title=<?php the_title(); ?>" target="_blank" title="Добавить в БобрДобр"><img src="<?php bloginfo('template_directory'); ?>/images/bobr.gif" /></a><a rel="nofollow" href="http://www.google.com/bookmarks/mark?op­d&bkmk=<?php the_permalink() ?>&title=<?php the_title(); ?>" target="_blank" title="Добавить в Гугл.Закладки"><img src="<?php bloginfo('template_directory'); ?>/images/google.gif" /></a><a rel="nofollow" href="http://zakladki.yandex.ru/userarea/links/addfromfav.asp?bAddLink_x=1&lurl=<?php the_permalink() ?>&lname=<?php the_title(); ?>" target="_blank" title="Добавить в Яндекс.Закладки"><img src="<?php bloginfo('template_directory'); ?>/images/ya.gif" /></a><a rel="nofollow" href="http://twitter.com/home?status=<?php the_title(); ?> <?php the_permalink() ?>" target="_blank" title="Добавить в Твитер"><img src="<?php bloginfo('template_directory'); ?>/images/twit.gif" /></a><a rel="nofollow" href="http://del.icio.us/post?v=4&noui&jump=close&url=<?php the_permalink() ?>&title=<?php the_title(); ?>" target="_blank" title="Добавить в Делишез"><img src="<?php bloginfo('template_directory'); ?>/images/delicious.gif" /></a><a rel="nofollow" href="http://news2.ru/add_story.php?url=<?php the_permalink() ?>" target="_blank" title="Добавить в Ньюс2"><img src="<?php bloginfo('template_directory'); ?>/images/news2.gif" /></a><a rel="nofollow" href="http://www.mister-wong.ru/index.php?action­durl&bm_url=<?php the_permalink() ?>&bm_description=<?php the_title(); ?>" target="_blank" title="Добавить в МистерВонг"><img src="<?php bloginfo('template_directory'); ?>/images/wong.gif" /></a><a rel="nofollow" href="http://moemesto.ru/post.php?url=<?php the_permalink() ?>&title=<?php the_title(); ?>" target="_blank" title="Добавить в МоеМесто"><img src="<?php bloginfo('template_directory'); ?>/images/mm.gif" /></a></noindex>
					</div>

					<br class="fix" />
				</div>
				<!--/social-links -->
                
			</div>
			<!--/box -->

			<div class="box post-rel">
				<div class="content">
					<div class="subcols">
						<?php if(function_exists('themerandpost')) { ?>
						<div class="col1">
							<h2>Похожие статьи</h2>
							<?php themerandpost();?>
						</div>
						<?php } ?>
						<!--/col1 -->
						<?php if(function_exists('themepoppost')) { ?>
						<div class="col2">
							<h2>Популярные статьи</h2>
							<?php themepoppost(); ?>
						</div>
						<?php } ?>
						<!--/col1 -->
						<br class="fix" />
					</div>
					<!--/subcols -->
				</div>
				<!--/content -->
			</div>
			<!--/box -->

			
      <?php comments_template(); ?>
        

	<?php endwhile; else: ?>

		<p>Записи, соответствующие данным критериям, не найдены.</p>

<?php endif; ?>

<?php get_sidebar() ;?>

<?php get_footer(); ?>
