<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
    <title><?php if (is_home()) { ?><?php bloginfo('name'); ?> - <?php bloginfo('description'); ?><?php } else { ?><?php wp_title($sep = ''); ?> - <?php bloginfo('name'); ?><?php } ?></title>
    <meta http-equiv="content-type" content="<?php bloginfo('html_type') ?>; charset=<?php bloginfo('charset') ?>" />
    <meta name="description" content="<?php bloginfo('description') ?>" />
    <?php if(is_search()) { ?>
    <meta name="robots" content="noindex, nofollow" /> 
    <?php }?>
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/superfish.css" media="screen" />
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.js"></script>
    <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/hoverintent.js"></script>
    <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/superfish.js"></script>
	<script type="text/javascript"> 
		$(document).ready(function(){ 
			$("ul.sf-menu").superfish({
				autoArrows:  false,
				delay:       400,                             // one second delay on mouseout 
				animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation 
				speed:       'fast',                          // faster animation speed 
				autoArrows:  false,                           // disable generation of arrow mark-up 
				dropShadows: false                            // disable drop shadows 			
				}); 
		});
    </script>
    <?php wp_head(); ?>

</head>

<body>
<div id="page">
	<div class="topnav">
		<ul>
			<li class="<?php if(is_home()) echo 'current_page_item '; ?>first page_item"><a href="<?php echo get_option('home'); ?>" title="<?php bloginfo('name'); ?>">Главная</a></li>
			<?php wp_list_pages('title_li=&depth=1'); ?>
		</ul>
	</div>
	<div id="header">
		<h1><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?> - <?php bloginfo('description'); ?>"><?php bloginfo('name'); ?> - <?php bloginfo('description'); ?></a></h1>
        <?php include (TEMPLATEPATH . '/searchform.php'); ?>
	</div>
	<!--/header -->
	<div id="nav1">
		<ul class="sf-menu sf-js-enabled">
			<?php wp_list_categories('title_li='); ?>
		</ul>
	</div>
	<!--/nav1-->
	<div id="columns">
		<div id="centercol">
